<?php
/*
Plugin Name: Free Dictionary
Plugin URI: http://www.freedictionary.org/external/wordpress/
Description: Free Dictionary Sidebar Widget for WordPress provides an English Dictionary that gives you English definitions, synonyms, pronunciation, spelling and more.
Version: 1.0.1
Author: Baris Efe
Author URI: http://www.freedictionary.org
*/
// Register and load the widget
function wpb_load_widget() {
	register_widget( 'wpb_widget' );
}
add_action( 'widgets_init', 'wpb_load_widget' );
// Creating the widget
class wpb_widget extends WP_Widget {
	function __construct() {
		parent::__construct(
				// Base ID of your widget
				'wpb_widget',
				// Widget name will appear in UI
				__('Free Dictionary', 'wpb_widget_domain'),
				// Widget description
				array( 'description' => __( 'Free Dictionary Sidebar Widget for WordPress provides an English Dictionary that gives you English definitions, synonyms, pronunciation, spelling and more.', 'wpb_widget_domain' ), )
				);
	}
	// Creating widget front-end
	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		// before and after widget arguments are defined by themes
		echo $args['before_widget'];
		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
			// This is where you run the code and display the output
			echo __( '
				<form role="search" name="freedictionary" method="get" action="http://www.freedictionary.org/" target="_blank" class="search-form">
				<label class="screen-reader-text" for="Query">Search</label>
				<input type="text" name="Query" id="Query" value="" placeholder="'. esc_attr_x( 'Search &hellip;', 'placeholder' ) .'">
				<button type="submit" class="search-submit submit button" id="search-submit">'. esc_attr_x( 'Search', 'submit button' ) .'</button>
				</form>

						', 'wpb_widget_domain' );
				
			echo $args['after_widget'];
	}

	// Widget Backend
	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		}
		else {
			$title = __( 'Free Dictionary', 'wpb_widget_domain' );
		}
		// Widget admin form
		?>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<?php 
}
     
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
return $instance;
}
} // Class wpb_widget ends here